# THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
# ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
# PARTICULAR PURPOSE.
# 
# Copyright (C) 1994  Microsoft Corporation.  All Rights Reserved.
# 
# MODULE:   dcompidl.mak
# 
# PURPOSE:
#   makefile for the RPC stub code
# 
# COMMENTS:
#
#   Build using the command
#
#       nmake /f dcompidl.mak
#
#   To define UNICODE during the MIDL compilation (not normally necessary),
#   use the build command 
#
#       nmake CHAROPTS=/DUNICODE /f dcompidl.mak
# 

MIDLOPTS = /c_ext /client stub /server stub
CPPOPTS  = -cpp_opt "/E /DMIDL_PASS /D__RPC_H__ /D__RPCNDR_H__ /D_INC_STDLIB\
				/D_OBJBASE_H_ /D_OLEAUTO_H_ /D_OLE2_H_ /DSTRICT $(CHAROPTS)"

distcomp_s.c distcomp_c.c:		distcomp.idl dcbunch.idl bunch.h
    midl $(MIDLOPTS) $(CPPOPTS) distcomp.idl
